Ixia Software Release Notes
IxLoad 9.14
Build Number: 9.14.136.62 (December 2020)



About This Release

IxLoad 9.14 is a point release specifically to introduce the RoCEv2 emulation on the new DCS load module (DCS100GE2Q28ALL). 
Please note in this release only 25G fanout option is supported, other speed option will be enabled on a future release.

NOTE: Voice and Wireless features are not supported in IxLoad 9.14 release. 

Please see sections below for application and hardware compatibility, new features, resolved issues, and known issues.

NOTE: When you are using one or more of the applications below on a single chassis configuration, please use the correct application versions 
            so they align to a common version of IxOS.

Application Compatibility

Application/Platform Version
IxOS 9.14
IxLoad 9.14
IxNetwork N/A
Licensing 5.30
Wireshark 2.6.4
For additional product compatibility information please refer to the following online utility. An Ixia website account is required before accessing. http://www.ixiacom.com/support-overview/product-support/product-compatibility-matrix

Supported Hardware Native IxOS Chassis/Appliance

Chassis / Appliance Load Module EA RoCE v2 Data Video Voice IxLoad Attack Wireless
XGS-HSL Chassis DCS Load Module with 25GE support (DCS100GE2Q28ALL)
XGS-SDL Chassis DCS Load Module with 25GE support (DCS100GE2Q28ALL)

Licensing

IxLoad 9.14 is a licensed product. It ships with Ixia Licensing 5.30 EA. When IxLoad tests are executed on Ixia hardware (appliances or load modules in chassis) 
a license needs to be installed on each chassis or appliance. In Virtual Environment, the license may be installed on a centralized server in your network.

For further information about the new IxLicensing system, please refer to the "Ixia Licensing Management User Guide" provided with the software and downloadable from the Ixia web site.


Installation Notes

IxLoad has two components: 
(1) the 'chassis'  component needs to be installed on the Ixia chassis being used; 
(2) the 'client'  component needs to be installed on the user workstation where the IxLoad GUI will be run. 

(1) Chassis Component Installation

Installation on Windows OS based chassis

After successful installation of IxOS Server application you need to install IxLoad Chassis component found on the DVD or on the IxLoad Downloads And Update site. NOTE: The IxLoad Client component cannot be installed on the Ixia Chassis.

XGS12-HS and XGS2-HS chassis

In order to use IxLoad 9.14 with a XGS-HS or XGS-SD chassis, one needs to install IxOS 9.14 which requires that the operating system running on the controller is FLIX OS 2018.1.0.3.

Installation on XGS12-HSL and XGS2-HSL chassis

Starting from IxLoad 8.13 EA, the XGS2-HS, XGS12-HS chassis can optionally be converted to run Native IxOS, for improved stability and performance. The conversion removes the Microsoft Windows OS, and replaces it with IxOS running natively on the chassis (over Linux OS). Once complete, the chassis are effectively converted to XGS2-HSL and XGS12-HSL. For more information, including the conversion process procedure, please download and read the "Converting XGS and PSOne to Native IxOS (PDF)" document available on the IxOS Downloads And Update site.

Installation on XGS12-SDL and XGS2-SDL chassis

Starting from IxLoad 8.40 EA, the XGS2-SD, XGS12-SD chassis can optionally be converted to run Native IxOS, for improved stability and performance. The conversion removes the Microsoft Windows OS, and replaces it with IxOS running natively on the chassis (over Linux OS). Once complete, the chassis are effectively converted to XGS2-SDL and XGS12-SDL. For more information, including the conversion process procedure, please download and read the "Converting XGS SD to Native IxOS (PDF)" document available on the IxOS Downloads And Update site. NOTE: The IxLoad Chassis component is no longer needed on the Native IxOS chassis.

Installation on PSOne or Novus ONE appliance

For PSOne or Novus ONE there are no IxLoad components required to be installed on the appliance. For proper use of the appliance only IxOS must be upgraded to a compatible build.

(2) Client Component Installation

Windows OS Prerequisite Installation Notes

As part of the IxLoad installation, the installer program automatically installs the following prerequisites that are coming as separate installers: Microsoft SQL Server 2014 and Microsoft .Net Framework 4.5.1. In some situations, a dialog may be displayed notifying you to browse to the specific prerequisites installers' location. You may find them under Prerequisites folder in the root of the DVD or you may download them from Ixia website. To access the prerequisites you must sign-in on www.ixiacom.com site and browse to product installation prerequisites site. If you experience any issue related to the installation of these prerequisites please refer to the below notes: NOTE: During installation you may be presented with a error dialog declaring a 1935 error has occurred. One possible cause is the presence of anti-adware or anti-virus software running on the target machine. Please disable these applications prior to your next installation attempt. NOTE: IxLoad requires Microsoft .NET 4.5.1 and Microsoft .NET 2.0. On some versions of Windows, .NET 2.0. cannot be installed separately and must be manually selected with .Net 3.5. - For Windows 2012: please install it through "Server Manager --> Manage --> Add Roles and Features --> .Net 3.5 Features". - For Windows 8.1: please install it through "Control Panel --> Programs and Features --> Turn Windows features on or off--> .NET Framework 3.5". NOTE: In some cases Reporting may not work after IxLoad is installed and the machine is rebooted. This may be because the SQL Server (IXIA2014) service did not start automatically after system reboot due to service timeout. The workaround is to increase the default time-out value for the windows service control manager as provided in the Microsoft link https://support.microsoft.com/en-us/kb/922918.

Installation on the Windows OS user workstation

The IxLoad installer will only install the Client component on the user workstation. In order to run the IxLoad Video test, the user workstation is required to have Windows Media player version 9 or later. IxLoad 9.14 requires the user workstation to satisfy the following requirements: Minimum - A dual core CPU - A minimum of 4GB RAM - 20GB of free disk space to install plus an additional 5GB of temporary space - Run time free disk space should be at least 10GB Recommended - A quad core CPU - A minimum of 8GB RAM - 64 bit Windows Operating System (See Operating System Support below) - 20GB of free disk space to install plus an additional 5GB of temporary space - Run time free disk space should be at least 10GB Ixia Application Server - Use Case: Multiple IxLoad instances on the single machine and large scale system testing - A quad core CPU - Ixia Application Server running 64 bit Windows 2008/2012 Ultra Server or equivalent - A minimum of 16GB RAM - 20GB of free disk space to install plus an additional 5GB of temporary space per user - Run time free disk space should be at least 40GB Operating System Support The versions of Windows operating systems that are supported are: - Windows 2019 Server Standard 64-bit - Windows 2016 Server Standard 64-bit - Windows 2012 Server R2 Standard 64-bit (*) - Windows 10 Pro/Enterprise 64-bit - Windows 8.1 Enterprise 32-bit and 64-bit (*) The following Non-English versions of the Windows 8.1 Enterprise operating system are supported: - German - Hebrew - Japanese NOTE: Only English ASCII characters are accepted in input fields in the application or file locations. VMWare: - Server 1.0.2 - Server 2.0

Deployment of the IxLoad middleware (MW) on Linux

Starting with IxLoad 8.20, the IxLoad MW component can be deployed as a standalone OVA or QCOW2 images running Ubuntu 14.04. - The OVA can be imported in VMWare. - The QCOW2 image is embedded inside a .sh script. This image comes pre-configured with 4 vCPUs and 8 GB RAM - To import the QCOW2 image on KVM, execute IxLoad.sh script. This will extract and deploy the QCOW2 image after accepting the EULA terms. - To import the QCOW2 image on OpenStack follow these steps: - on any Linux environment, run "IxLoad.sh -z". This will extract the QCOW2 image after accepting the EULA terms. - copy and import the QCOW2 image in the OpenStack environment. NOTE: when using OpenStack, the pre-configured CPU and RAM values are not used. It is recommended to specify at least 4 vCPU and 8 GB RAM. For further reference please consult the IxLoad on Linux documentation, available from IxLoad (Help section) for custom installation having selected IxLoad Gateway.

IxLoad Reporter database migration from 8.10 EA to newer versions

If before this upgrade, you have been using an IxLoad versions older than IxLoad 8.10 EA then a few manual steps will need to be performed to migrate your Reporter database: - Open a Command Prompt - Navigate in the Command Prompt to the root folder of the IxLoad current version installation (C:\Program Files (x86)\Ixia\IxLoad\< version >\) - Run the reporter_migrate_db_ixload.bat script As a result of this script, the preexisting tests results will be migrated to the current IxLoad Reporter database version.

IxLoad Installer changes

Starting with IxLoad 9.00, running tests with any of the following capabilities: Analyzer, IPSec, FTP Server, Capture Manager (part of AppReplay and IxLoad-Attack) requires installing the corresponding additional packages from IxLoad download page. These packages are required to be installed on top of the regular IxLoad client installation.

Tcl/Tk Support for Client Applications

    Tcl 8.5.17.0 is a prerequisite for using the Tcl component of IxLoad. For additional details, please refer to the IxLoad Tcl API User Guide.

    The following versions of UNIX/Linux operating systems support IxLoad TCL scripting:
        - Centos 7(32bit or 64bit)
        - Debian 8.1.0(32bit or 64bit)
        - OpenSUSE 13.2(32bit or 64bit)
        - Ubuntu 14.04 LTS (32bit or 64bit)
    Other versions of Linux and Solaris platforms may operate properly, but are not officially supported.
    Installation of Tcl Server is required to support execution of Linux/UNIX-based Tcl scripts.

How to Report Problems

Ixia Main Office

26601 W. Agoura Road

Calabasas, California 91302, USA

Web Address: www.ixiacom.com/contact/info
Phone: 1-877-367-4942 - Toll-frree North America
Phone: 1-818-871-1800 - Outside North America
Fax: 1-818-871-1805

Global Support

Email: support@ixiacom.com
Phone: 1-818-595-2599

Asia Pacific Customer Support

Email: support-asiapac@ixiacom.com
Phone: +91-80-4939-6410

Europe, Middle East, and Africa Customer Support

Email: support-emea@ixiacom.com
Phone: +40-21-301-5699

India Customer Support

Email: support-india@ixiacom.com
Phone: +91-80-4939-6410

Japan Customer Support

Email: support-japan@ixiacom.com
Phone: +81-3-5326-1980

China Customer Support

Email: support-china@ixiacom.com
Phone: 400-898-0598 (Greater China region)
Phone: +86-10-5732-3932 (Hong Kong customers)

Additional Documentation

The installation package for IxLoad 9.14 will automatically install the "IxLoad User Guide", and the "Getting Started with IxLoad" guide under the "Docs" 
subdirectory where IxLoad is installed. The default directory is as follows:
    C:\Program Files (x86)\Ixia\IxLoad\< version >\Client\Docs

Both the "IxLoad User Guide" and the "Getting Started with IxLoad" can be launched from IxLoad under the HELP menu. 

Please refer to our website at http://support.ixiacom.com/support-services/product-support/user-guides.

You will be required to provide a login and password to enter this section of the web site. If you do not have the username and password, 
please forward your request to mailto:support@ixiacom.com.

What's New in IxLoad

9.14 Features

IxLoad-Data
Support for RoCEv2 protocol over DCS-25G load module

Known Issues List

RoCE v2

Bug Number Notes
1545705
In RoCEv2 protocol, fluctuations seen in application TPUT when port CPU usage on client port reaches to 100%.
1554074
On Data Centre Storage platform, for RoCEv2 protocol, it is recommended that user should enable “Reboot ports before Configuring” and “Release Configuration after Test” options in Test options prior running any test config otherwise it may lead to abnormal termination of software program.
1554840
In RoCEv2, MTU configuration other than default settings (1500 bytes) is not supported.
1555383
DCS load module running in 100Gig mode is not supported. Also mode switch between 100Gig and 25Gig is not supported.